<section class="contact">
        <div class="container" id="section4">
          <div class="row">
                <div class="col-md-12 section-t8">
                        <div class="title-wrap d-flex justify-content-between">
                          <div class="title-box">
                            <h2 class="title-a">Ajouter un nouvel objet :</h2>
                          </div>
                        </div>
              <div class="row">
                <div class="col-md-12">
                  <form class="form-a contactForm" action="" method="post" role="form">
                    <div id="sendmessage">Un objet a bien été ajouté!</div>
                    <div id="errormessage"></div>
                    <div class="row">
                      <div class="col-md-6 mb-3">
                        <div class="form-group">
                          <input type="text" name="name" class="form-control form-control-lg form-control-a" placeholder="Nom de l'objet" data-rule="required" data-msg="Merci d'entrer le nom de l'objet" [(ngModel)]="entity.name">
                          <div class="validation"></div>
                        </div>
                      </div>
                      <div class="col-md-6 mb-3">
                        <div class="form-group">
                          <input name="text" type="brand" class="form-control form-control-lg form-control-a" placeholder="Marque" [(ngModel)]="entity.brand">
                          <div class="validation"></div>
                        </div>
                      </div>
                      <div class="col-md-12 mb-3">
                            <div class="form-group">
                              <textarea name="message" class="form-control" name="message" cols="45" rows="8" data-rule="required" data-msg="Merci d'entrer une description pour l'objet" placeholder="Description" [(ngModel)]="entity.description"></textarea>
                              <div class="validation"></div>
                            </div>
                        </div>
                      <div class="col-md-12 mb-3">
                        <div class="form-group">
                          <input type="text" name="priceSub" class="form-control form-control-lg form-control-a" placeholder="Prix de l'abonnement" data-rule="required" data-msg="Merci d'entrer un prix d'abonnement" [(ngModel)]="entity.priceSub">
                          <div class="validation"></div>
                        </div>
                      </div>
                      <div class="col-md-12 mb-3">
                          <div class="form-group">
                            <input type="text" name="pricePonctual" class="form-control form-control-lg form-control-a" placeholder="Prix hors abonnement" data-rule="required" data-msg="Merci d'entrer un prix hors abonnement" [(ngModel)]="entity.pricePonctual">
                            <div class="validation"></div>
                          </div>
                        </div>
                        <div class="col-md-12 mb-3">
                                <div class="form-group">
                                  <input type="text" name="priceExtra" class="form-control form-control-lg form-control-a" placeholder="Prix temps supplémentaire" data-rule="required" data-msg="Merci d'entrer un prix pour un dépassement de temps" [(ngModel)]="entity.priceExtra">
                                  <div class="validation"></div>
                                </div>
                              </div>
                        <div class="col-md-12 mb-3">
                            <div class="form-group">
                              <input type="text" name="deposit" class="form-control form-control-lg form-control-a" placeholder="Prix de la caution" data-rule="required" data-msg="Merci d'entrer le prix de la caution" [(ngModel)]="entity.deposit">
                              <div class="validation"></div>
                            </div>
                          </div>
                          <div class="col-md-12 mb-3">
                                <div class="form-group">
                                  <input type="text" name="state" class="form-control form-control-lg form-control-a" placeholder="Etat de l'objet" [(ngModel)]="entity.state">
                                  <div class="validation"></div>
                                </div>
                            </div>
                            <div class="col-md-12 mb-3">
                                    <div class="form-group">
                                      <input type="text" name="stateComment" class="form-control form-control-lg form-control-a" placeholder="Commentaire sur l'état de l'objet" [(ngModel)]="entity.stateComment">
                                      <div class="validation"></div>
                                    </div>
                            </div>
                            <div class="col-md-12 mb-3">
                                    <div class="form-group">
                                      <input type="text" name="chip" class="form-control form-control-lg form-control-a" placeholder="N° de la puce RFID" data-rule="required" data-msg="Merci d'entrer le numéro de la puce RFID" [(ngModel)]="entity.chip">
                                      <div class="validation"></div>
                                    </div>
                            </div>
                            <div class="col-md-12 mb-3">
                                    <div class="form-group">
                                      <input type="text" name="rentalDuration" class="form-control form-control-lg form-control-a" placeholder="Durée de la location" data-rule="required" data-msg="Merci d'entrer la durée de la location" [(ngModel)]="entity.rentalDurationInHours">
                                      <div class="validation"></div>
                                    </div>
                            </div>
                            <div class="col-md-12 mb-3">
                                    <div class="form-group">
                                      <input type="text" name="rules" class="form-control form-control-lg form-control-a" placeholder="Règles d'utilisation" [(ngModel)]="entity.rules">
                                      <div class="validation"></div>
                                    </div>
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-group">
                                  <input type="text" name="image" class="form-control form-control-lg form-control-a" placeholder="Rentrer l'url de l'image" [(ngModel)]="entity.urlImage">
                                  <div class="validation"></div>
                                </div>
                        </div>
                        
                      <div *ngIf="message">
                          <p [ngStyle]="{'color': messageColor}">{{message}}</p>
                      </div>

                      <div class="col-md-12">
                        <button type="button" class="btn btn-a" (click)="create()">Envoyer</button>
                        <button type="button" class="btn btn-a" (click)="annuler()">Annuler</button>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>